Bug 540100 - system-config-display in rawhide doesn't detect either monitor or graphics card
system-config-display in rawhide doesn't detect either monitor or graphics card
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Orphan Owner
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks: 479801
  Show dependency treegraph
Reported: 2009-11-22 07:07 EST by Jonathan Kamens
Modified: 2011-06-27 10:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-06-27 10:34:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Xorg log with no xorg.conf (49.01 KB, text/plain)
2009-11-25 07:47 EST, Jonathan Kamens
no flags Details

  None (edit)
Description Jonathan Kamens 2009-11-22 07:07:45 EST
With everything up-to-date from rawhide, with a viewsonic LCD monitor and an openchrome S3 video controller, I had X running, hit ctrl-alt-F2, logged in as root on the console, and ran system-config-display, and it failed to detect either my monitor or my graphics card -- it said unknown for both and offered me only 800x600 (I think that was it; I'm sure there was just one and it was low) as a resolution choice.
Comment 1 Adam Jackson 2009-11-23 17:20:25 EST
I suspect this is the openchrome driver not supporting your device, not really s-c-d's fault at all.  Please attach the X log from this machine.
Comment 2 Jonathan Kamens 2009-11-25 07:47:30 EST
Created attachment 373734 [details]
Xorg log with no xorg.conf

Actually, the openchrome driver has recognized my hardware for quite a while.  Attached is an Xorg log (on :1 because I was already running a server on :0) with no xorg.conf, i.e., everything auto-detected.

Note that the failure to initialize DRI in the log is because I was already running another server and the openchrome driver sometimes gets unhappy when you try to run two servers at the same time (or even when you just switch between VTs while running an openchrome server), but this shouldn't detract from the fact that the X server does in facat recognize and support my hardware.

Also, system-config-display used to detect everything just fine with the same hardware.
Comment 3 Bug Zapper 2010-03-15 09:17:02 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
Comment 4 Bug Zapper 2011-06-02 13:20:31 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Bug Zapper 2011-06-27 10:34:51 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.